/**
 * Script that are used only for representation
 *
 */
$(document).ready(function () {
    var bottomPart = $('.messages-bottom');
    var $window = $(window);
    var container = $('.container-messages');
    var pollTimeout = null;

    /**
     * Resize messages container to fit actual window height minus header and post message form
     */
    var resize = function () {
        var height = $window.height()-bottomPart.outerHeight()-70;
        container.height(height);
    };

    /**
     * Plan resizing in 500ms. This way we avoid calling resize() too much
     *
     */
    var pollResize = function () {
        if (pollTimeout) {
            clearTimeout(pollTimeout);
        }
        setTimeout(resize, 300);
    };

    $window.resize(pollResize); // resize when window is resized
    setInterval(pollResize, 1000); // check every second
    resize(); // set initial size
});